from flask import Flask, render_template
from web import blueprint
'''
    Main entrypoint for Flask application. 
    Initialises any components that are needed at runtime such as the 
    Database manager...
'''
def main():
    app = Flask(__name__)

    # Register a blueprint 
    app.register_blueprint(blueprint)
    app.run(debug=True)
    
if __name__ == "__main__":
    main()
